const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const community_reactions = sequelize.define(
    'community_reactions',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

reaction_type: {
        type: DataTypes.ENUM,
      
      

        values: [

"like",


"love",


"insightful",


"save"

        ],

      },

reacted_at: {
        type: DataTypes.DATE,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  community_reactions.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity












































//end loop



    db.community_reactions.belongsTo(db.users, {
      as: 'user',
      foreignKey: {
        name: 'userId',
      },
      constraints: false,
    });

    db.community_reactions.belongsTo(db.community_posts, {
      as: 'post',
      foreignKey: {
        name: 'postId',
      },
      constraints: false,
    });

    db.community_reactions.belongsTo(db.community_comments, {
      as: 'comment',
      foreignKey: {
        name: 'commentId',
      },
      constraints: false,
    });




    db.community_reactions.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.community_reactions.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return community_reactions;
};


